<?php


/////////////////////////////////////////////////
// Indiquez dans $AddrServeurIACA l'adresse
// IP relle de votre serveur IACA
/////////////////////////////////////////////////
$AddrServeurIACA='192.168.1.2';


/////////////////////////////////////////////////
// Ne pas changer le numro du port
/////////////////////////////////////////////////
$PortServeurIACA=5016;


/////////////////////////////////////////////////
// Initialisation de la variable recevant la
// rponse du serveur IACA.
/////////////////////////////////////////////////
$REPONSE="";



/////////////////////////////////////////////////
// Overture de la connexion vers le serveur IACA
/////////////////////////////////////////////////

$fp=fsockopen($AddrServeurIACA,$PortServeurIACA,$numerr,$strerr,5);


if ($fp) {
   //////////////////////////////////////////////
   // Envoi de la chane PHP
   // et attente de la rponse
   //////////////////////////////////////////////
   // Demande le mot de passe de DUCHEF
   // Syntaxe de la chane  envoyer :
   // NU=DUCHEF|GETMDP
   // Majuscules et minuscules sont indiffrentes
   // Le nom doit correspond au nom de login
   // Retours possibles :
   // NU=DUCHEF|GETMDP=12345 (retourne le mot de passe)
   // NU=DUCHEF|GETMDP=      (Indique que le mot de passe est vide)
   // NU=DUCHEF|GETMDP=************** (14 toiles=secret)
   // NU=DUCHEF|GETMDP_ERR=2 (indique une erreur)
   // 2 : non trouv ; 5 : non autoris
   // 12 : accs invalide ; 87 : paramtre incorrect
   // etc.
   //////////////////////////////////////////////
   // Impose le mot de passe abcd pour DUCHEF
   // Syntaxe de la chane  envoyer :
   // NU=DUCHEF|MDP=abcd
   // Majuscules et minuscules sont indiffrentes
   // sauf pour le mot de passe.
   // le nom doit correspond au nom de login
   // Retours possibles :
   // NU=DUCHEF|MDP_OK (Changement effectu)
   // NU=DUCHEF|MDP_ERR=2 (indique une erreur)
   // 2 : non trouv ; 5 : non autoris
   // 12 : accs invalide ; 87 : paramtre incorrect
   // 1325 : mot de passe trop simple. Refus par AD
   // etc.
   // Cas particulier permettant de rendre le mot de passe
   // secret sans le changer :
   // NU=DUCHEF|MDP=************** (14 toiles)
   // L'administrateur ne verra plus le mot de passe.
   // Il ne pourra supprimer son caractre secret qu'en
   // imposant un nouveau mot de passe dans IACA.
   //////////////////////////////////////////////

//   fputs($fp,"NU=DUCHEF|MDP=abcd");
   fputs($fp,"NU=DUCHEF|GETMDP");

   $REPONSE=fgets($fp,1500);
}

fclose($fp);

/////////////////////////////////////////////////
// La variable $REPONSE peut tre traite,
// dcoupe par exemple avec strtok...
// Dans cet exemple elle est simplement affiche.
/////////////////////////////////////////////////


echo("
<HTML>
<BODY>
<TITLE>Exemple de communication avec serveur IACA en PHP</TITLE>
<CENTER>
<H3> Utilisation de PHP pour communiquer avec le service IACA</H3>
</CENTER>
<HR>
");

echo("Adresse IP du serveur IACA : $AddrServeurIACA<BR>");
echo("REPONSE : $REPONSE<BR>");

echo("<HR>
</BODY>
</HTML>");

?>
